# metadata
site_name: 'IGWN | Rucio Dev Notes'
site_description: 'IGWN data management with Rucio: development notes'
site_author: 'James A Clark'
site_url: 'https://rucio.docs.ligo.org/notes'
repo_url: 'https://git.ligo.org/rucio/notes'
repo_name: 'GitLab'
edit_uri: 'edit/master/docs'
copyright: 'Copyright &copy; 2020 The LIGO Scientific Collaboration and The Virgo Collaboration'

# configuration
theme:
  #name: 'windmill'
  name: 'material'
  custom_dir: 'theme'
  favicon: 'img/favicon.ico'
  language: en
  logo: 'img/logo.svg'

# plugins
plugins:
  - search
  - minify:
      minify_html: true

# extensions
markdown_extensions:
  - admonition
  - attr_list
  - fontawesome_markdown
  - footnotes
  - markdown.extensions.codehilite
  - markdown_include.include
  - meta
  - pymdownx.emoji:
      emoji_index: !!python/name:materialx.emoji.twemoji
      emoji_generator: !!python/name:materialx.emoji.to_svg
  - pymdownx.superfences
  - pymdownx.tabbed
  - pymdownx.tasklist
  - toc:
      permalink: true

# navigation links
nav:
  - Home: 'index.md'
  - Development:
    - dev/index.md
  - New rucio schema:
    - igwn_dev/index.md
    - igwn_dev/setup.md
    - igwn_dev/importing.md
    - igwn_dev/naming.md
  - Implementation:
    - implement/index.md
    - implement/rses.md
    - implement/lfn2pfn.md
  - help.md

# customisation
extra_css:
  - css/gwcomputing.css

# links
extra:
  social:
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/ligo
